---
channel: release
version: 2.10.4
date: 2018-05-10
---

## New Features



  - <!-- JAL-1847 JAL-2944 -->  New Structure Chooser control for disabling automatic superposition of multiple structures and open structures in existing views
  - <!-- JAL-984 -->  Mouse cursor changes to indicate Sequence ID and annotation area margins can be click-dragged to adjust them.
  - <!-- JAL-2885 -->  Jalview uses HTTPS for Uniprot, Xfam and Ensembl services
  - <!-- JAL-2759 -->  Improved performance for large alignments and lots of hidden columns
  - <!-- JAL-2593 -->  Improved performance when rendering lots of features (particularly when transparency is disabled)
  - <!-- JAL-2296,JAL-2295 -->  Experimental features in 2.10.2 for exchange of Jalview features and Chimera attributes made generally available


## Issues Resolved


  - <!-- JAL-2899 -->  Structure and Overview aren't updated when Colour By Annotation threshold slider is adjusted
  - <!-- JAL-2778 -->  Slow redraw when Overview panel shown overlapping alignment panel
  - <!--  JAL-2929 -->  Overview doesn't show end of unpadded sequence as gaps
  - <!-- JAL-2789, JAL-2893 -->  Cross-reference handling improved: CDS not handled correctly if transcript has no UTR
  - <!-- JAL-2321 -->  Secondary structure and temperature factor annotation not added to sequence when local PDB file associated with it by drag'n'drop or structure chooser
  - <!--  JAL-2984 -->  Answering 'No' to PDB Autoassociate dialog doesn't import PDB files dropped on an alignment
  - <!-- JAL-2666 -->  Linked scrolling via protein horizontal scroll bar doesn't work for some CDS/Protein views
  - <!-- JAL-2930 -->  Trackpad scrolling is broken on OSX on Java 1.8u153 onwards and Java 1.9u4+.
  - <!-- JAL-2924 -->  Tooltip shouldn't be displayed for empty columns in annotation row
  - <!-- JAL-2913 -->  Preferences panel's ID Width control is not honored in batch mode
  - <!-- JAL-2945 -->  Linked sequence highlighting doesn't work for structures added to existing Jmol view
  - <!-- JAL-2223 -->  'View Mappings' includes duplicate entries after importing project with multiple views
  - <!-- JAL-2781 JAL-2780 -->  Viewing or annotating Uniprot protein sequences via SIFTS from associated PDB entries with negative residue numbers or missing residues fails
  - <!-- JAL-2952 -->  Exception when shading sequence with negative Temperature Factor values from annotated PDB files (e.g. as generated by CONSURF)
  - <!-- JAL-2920 -->  Uniprot 'sequence variant' features tooltip doesn't include a text description of mutation
  - <!-- JAL-2922 -->  Invert displayed features very slow when structure and/or overview windows are also shown
  - <!-- JAL-2954 -->  Selecting columns from highlighted regions very slow for alignments with large numbers of sequences
  - <!-- JAL-2925 -->  Copy Consensus fails for group consensus with 'StringIndexOutOfBounds'
  - <!-- JAL-2976 -->  VAqua(4) provided as fallback Look and Feel for OSX platforms running Java 10
  - <!-- JAL-2960 -->  Adding a structure to existing structure view appears to do nothing because the view is hidden behind the alignment view


### Applet
  - <!-- JAL-2926 -->  Copy consensus sequence option in applet should copy the group consensus when popup is opened on it


### Batch Mode
  - <!-- JAL-2913 -->  Fixed ID width preference is not respected


### New Known Defects
  - <!-- JAL-2973 -->   Exceptions occasionally raised when editing a large alignment and overview is displayed
  - <!-- JAL-2974 -->  'Overview updating' progress bar is shown repeatedly after a series of edits even when the overview is no longer reflecting updates
  - <!-- JAL-2946 -->  'SIFTS Mapping Error' when viewing structures for protein subsequence (if 'Trim Retrieved Sequences' enabled) or Ensembl isoforms (Workaround in 2.10.4 is to fail back to N&W mapping)
  - <!-- JAL-2990 -->  Export Annotations from File Menu with CSV option gives blank output
